--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: self
comment: 
- !ruby/struct:SM::Flow::P 
  body: Executes a block in the scope of this Repository
- !ruby/struct:SM::Flow::VERB 
  body: "  TODO: create example\n"
- !ruby/struct:SM::Flow::P 
  body: "@yieldparam [Repository] repository"
- !ruby/struct:SM::Flow::VERB 
  body: "  yields self within the block\n"
- !ruby/struct:SM::Flow::P 
  body: "@yield"
- !ruby/struct:SM::Flow::VERB 
  body: "  execute block in the scope of this Repository\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Repository#scope
is_singleton: false
name: scope
params: () {|self| ...}
visibility: public
